Guest User

Untitled

a guest
Mar 19th, 2017
125
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 4.88 KB | None | 0 0
  1.  
  2. FAIL: tests/misc/date-debug
  3. ===========================
  4.  
  5. ++ initial_cwd_=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26
  6. +++ testdir_prefix_
  7. +++ printf gt
  8. ++ pfx_=gt
  9. +++ mktempd_ /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26 gt-date-debug.sh.XXXX
  10. +++ case $# in
  11. +++ destdir_=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26
  12. +++ template_=gt-date-debug.sh.XXXX
  13. +++ MAX_TRIES_=4
  14. +++ case $destdir_ in
  15. +++ destdir_slash_=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/
  16. +++ case $template_ in
  17. ++++ unset TMPDIR
  18. +++ d=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  19. +++ case $d in
  20. +++ :
  21. +++ test -d /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  22. ++++ ls -dgo /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  23. +++ perms='drwx------ 2 4096 Mar 20 04:24 /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g'
  24. +++ case $perms in
  25. +++ :
  26. +++ echo /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  27. +++ return
  28. ++ test_dir_=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  29. ++ cd /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  30. ++ gl_init_sh_nl_='
  31. '
  32. ++ IFS='
  33. '
  34. ++ for sig_ in 1 2 3 13 15
  35. +++ expr 1 + 128
  36. ++ eval 'trap '\''Exit 129'\'' 1'
  37. +++ trap 'Exit 129' 1
  38. ++ for sig_ in 1 2 3 13 15
  39. +++ expr 2 + 128
  40. ++ eval 'trap '\''Exit 130'\'' 2'
  41. +++ trap 'Exit 130' 2
  42. ++ for sig_ in 1 2 3 13 15
  43. +++ expr 3 + 128
  44. ++ eval 'trap '\''Exit 131'\'' 3'
  45. +++ trap 'Exit 131' 3
  46. ++ for sig_ in 1 2 3 13 15
  47. +++ expr 13 + 128
  48. ++ eval 'trap '\''Exit 141'\'' 13'
  49. +++ trap 'Exit 141' 13
  50. ++ for sig_ in 1 2 3 13 15
  51. +++ expr 15 + 128
  52. ++ eval 'trap '\''Exit 143'\'' 15'
  53. +++ trap 'Exit 143' 15
  54. ++ trap remove_tmp_ 0
  55. + path_prepend_ ./src
  56. + test 1 '!=' 0
  57. + path_dir_=./src
  58. + case $path_dir_ in
  59. + abs_path_dir_=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/./src
  60. + case $abs_path_dir_ in
  61. + PATH=/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/./src:/home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/src:/opt/android-sdk/build-tools/25.0.2:/usr/bin/core_perl/:/opt/android-sdk/build-tools/25.0.2:/usr/bin/core_perl/:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/sbin:/usr/sbin
  62. + create_exe_shims_ /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/./src
  63. + case $EXEEXT in
  64. + return 0
  65. + shift
  66. + test 0 '!=' 0
  67. + export PATH
  68. + print_ver_ date
  69. + require_built_ date
  70. + skip_=no
  71. + for i in "$@"
  72. + case " $built_programs " in
  73. + test no = yes
  74. + test yes = yes
  75. + local i
  76. + for i in $*
  77. + env date --version
  78. date (GNU coreutils) 8.26
  79. Copyright (C) 2016 Free Software Foundation, Inc.
  80. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
  81. This is free software: you are free to change and redistribute it.
  82. There is NO WARRANTY, to the extent permitted by law.
  83.  
  84. Written by David MacKenzie.
  85. + export LC_ALL=C
  86. + LC_ALL=C
  87. ++ TZ=America/Belize
  88. ++ date +%z
  89. + test -0600 = -0600
  90. + in1='TZ="Asia/Tokyo" Sun, 90-12-11 + 3 days - 90 minutes'
  91. + cat
  92. + TZ=America/Belize
  93. + date --debug -d 'TZ="Asia/Tokyo" Sun, 90-12-11 + 3 days - 90 minutes'
  94. + compare exp1 out1
  95. + compare exp1 out1
  96. + compare_dev_null_ exp1 out1
  97. + test 2 = 2
  98. + test xexp1 = x/dev/null
  99. + test xout1 = x/dev/null
  100. + return 2
  101. + case $? in
  102. + compare_ exp1 out1
  103. + diff -u exp1 out1
  104. + in2='TZ="America/Edmonton" 2006-04-02 02:30:00'
  105. + cat
  106. + returns_ 1 date --debug -d 'TZ="America/Edmonton" 2006-04-02 02:30:00'
  107. + compare exp2 out2
  108. + compare_dev_null_ exp2 out2
  109. + test 2 = 2
  110. + test xexp2 = x/dev/null
  111. + test xout2 = x/dev/null
  112. + return 2
  113. + case $? in
  114. + compare_ exp2 out2
  115. + diff -u exp2 out2
  116. + in3=@1
  117. + cat
  118. + TZ=America/Lima
  119. + date --debug -d @1
  120. + compare exp3 out3
  121. + compare_dev_null_ exp3 out3
  122. + test 2 = 2
  123. + test xexp3 = x/dev/null
  124. + test xout3 = x/dev/null
  125. + return 2
  126. + case $? in
  127. + compare_ exp3 out3
  128. + diff -u exp3 out3
  129. --- exp3 2017-03-20 04:24:10.432050491 +0800
  130. +++ out3 2017-03-20 04:24:10.435383873 +0800
  131. @@ -4,4 +4,4 @@
  132. date: final: 1.000000000 (epoch-seconds)
  133. date: final: (Y-M-D) 1970-01-01 00:00:01 (UTC0)
  134. date: final: (Y-M-D) 1969-12-31 19:00:01 (output timezone TZ=-05:00)
  135. -Wed Dec 31 19:00:01 PET 1969
  136. +Wed Dec 31 19:00:01 -05 1969
  137. + fail=1
  138. + Exit 1
  139. + set +e
  140. + exit 1
  141. + exit 1
  142. + remove_tmp_
  143. + __st=1
  144. + cleanup_
  145. + :
  146. + cd /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26
  147. + chmod -R u+rwx /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  148. + rm -rf /home/felis/.cache/pacaur/coreutils-selinux/src/coreutils-8.26/gt-date-debug.sh.FT2g
  149. + exit 1
  150. FAIL tests/misc/date-debug.sh (exit status: 1)
Add Comment
Please, Sign In to add comment